%global realname pycollada
%global module %{realname}
%global realver 0.6

Name:           python-collada
Version:        0.6.0
Release:        %mkrel 3
Summary:        A python module for creating, editing and loading COLLADA
Group:          Development/Python

License:        BSD
URL:            https://github.com/pycollada/pycollada/
# https://github.com/pycollada/pycollada/archive/v%%{realver}.tar.gz
Source0:        https://pypi.io/packages/source/p/%{module}/%{module}-%{realver}.tar.gz
# Disable pypi downloads in setup.py to guarantee use of only system libs
Patch0:         python-collada-0.4-disable_unittest_downloads.patch
BuildArch:      noarch

%description
pycollada is a python module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%package -n     python3-collada
Summary:        A python 3 module for creating, editing and loading COLLADA
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# unit test requirements
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(unittest2)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(six)

Requires:       python3dist(python-dateutil)
Requires:       python3dist(numpy)

%description -n python3-collada
pycollada is a python 3 module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%prep
%setup -q -n %{realname}-%{realver}
%patch0 -p1 -z .no_downloads

sed -i "s|tostring|tobytes|g" collada/material.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test || true

%files -n python3-collada
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1535543
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1452151
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.6.0-1.mga7
+ Revision: 1352257
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-8.mga7
+ Revision: 1288430
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 0.4.0-7.mga7
+ Revision: 1218837
- rename python-collada to python2-collada
- add the python3 subpackage
- use new python provides/macros

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-6.mga6
+ Revision: 952017
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 shlomif <shlomif> 0.4.0-5.mga5
+ Revision: 810307
- Remove trailing space
- Importing python-collada (thanks to Richard Houser)


* Sat Dec 20 2014 Rick Houser <rick@divinesymphony.net> - 0.4.0-5
- Ported from Fedora 17 (python-collada 0.4-3) to Mageia 3.
- Original packageing credit goes to Richard Shaw and John Morris
